Bug 457505 - Review Request: perl-Wx-Perl-ProcessStream
Review Request: perl-Wx-Perl-ProcessStream
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 03:49 EDT by Marcela Mašláňová
Modified: 2008-08-12 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 10:40:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robin.norwood: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-08-01 03:49:51 EDT
This module provides the STDOUT, STDERR and exit codes of asynchronously
running processes via events. It may be used for long running or blocking
processes that provide periodic updates on state via STDOUT. Simple IPC is
possible via STDIN.

http://mmaslano.fedorapeople.org/perl-Wx-Perl-ProcessStream/perl-Wx-Perl-ProcessStream-0.11-1.fc9.src.rpm
http://mmaslano.fedorapeople.org/perl-Wx-Perl-ProcessStream/perl-Wx-Perl-ProcessStream.spec
Comment 1 Robin Norwood 2008-08-01 12:47:29 EDT
Review results - the starred items need to be fixed before I can pass the
package review:

- Source matches upstream
- rpmlint passes

* Missing BuildRequires: perl(Test::More)

* Error generating Makefile:
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Looks good
Error: Unable to initialize gtk, is DISPLAY set properly?
Writing Makefile for Wx::Perl::ProcessStream

Is this a real error?  I suspect not, since the package still builds and works.


- Package naming is ok
- License is ok
- Source matches upstream

* Package does *not* build in koji.  See:
http://koji.fedoraproject.org/koji/taskinfo?taskID=753064

From build.log:

"""
Error: Unable to initialize gtk, is DISPLAY set properly?
Use of uninitialized value $Wx::_universal in concatenation (.) or string at
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Wx.pm line 176.
Use of uninitialized value $Wx::_static in concatenation (.) or string at
/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Wx.pm line 177.
Use of uninitialized value $Wx::wxVERSION_STRING in concatenation (.) or string
at
/builddir/build/BUILD/Wx-Perl-ProcessStream-0.11/blib/lib/Wx/Perl/ProcessStream.pm
line 346.
"""

Probably the best solution is to include a patch to disable/comment out the
tests that fail.

FYI, you can do a koji scratch build easily.  Just build an SRPM with your
changes, and run:

$ koji build --skip-tag --scratch dist-f9 /path/to/SRPM

That way you can make sure you've gotten all the failing tests.

- File and directory ownership is ok

Comment 2 Marcela Mašláňová 2008-08-04 03:11:55 EDT
*** Bug 457286 has been marked as a duplicate of this bug. ***
Comment 4 Robin Norwood 2008-08-04 09:58:39 EDT
Everything looks good now - approved.
Comment 5 Marcela Mašláňová 2008-08-11 04:28:39 EDT
New Package CVS Request
=======================
Package Name: perl-Wx-Perl-ProcessStream
Short Description: proccess output via events
Owners: mmaslano
Branches: F-10
InitialCC: fedora-perl-devel-list@redhat.com
Comment 6 Kevin Fenzi 2008-08-11 13:36:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.